<template>
  <v-card>
    <v-card-title>Git Integration Settings</v-card-title>
    <v-card-text>
      <v-form ref="form">

        <!-- Repository URL -->
        <v-text-field label="Repository URL" v-model="gitSettings.repoUrl" prepend-icon="mdi-git"></v-text-field>

        <!-- Branch Selection -->
        <v-select label="Default Branch" :items="branches" v-model="gitSettings.defaultBranch" prepend-icon="mdi-source-branch"></v-select>

        <!-- Authentication -->
        <v-text-field label="Username" v-model="gitSettings.username" prepend-icon="mdi-account"></v-text-field>
        <v-text-field label="Access Token / Password" v-model="gitSettings.accessToken" :type="showPassword ? 'text' : 'password'" prepend-icon="mdi-lock" append-icon="mdi-eye" @click:append="showPassword = !showPassword"></v-text-field>

        <!-- Webhooks -->
        <v-switch label="Enable Webhooks" v-model="gitSettings.enableWebhooks"></v-switch>
        <v-text-field v-if="gitSettings.enableWebhooks" label="Webhook URL" v-model="gitSettings.webhookUrl" prepend-icon="mdi-webhook"></v-text-field>

        <!-- Repository Visibility -->
        <v-radio-group v-model="gitSettings.repoVisibility">
          <v-radio label="Public" value="public"></v-radio>
          <v-radio label="Private" value="private"></v-radio>
        </v-radio-group>

        <!-- Additional Git Settings -->
        <v-text-field label="CI/CD Configuration File" v-model="gitSettings.ciCdConfigFile" prepend-icon="mdi-file-code"></v-text-field>

      </v-form>
    </v-card-text>
    <v-card-actions>
      <v-btn color="primary" @click="saveGitSettings">Save</v-btn>
    </v-card-actions>
  </v-card>
</template>

<script>
export default {
  data() {
    return {
      showPassword: false,
      gitSettings: {
        repoUrl: '',
        defaultBranch: '',
        username: '',
        accessToken: '',
        enableWebhooks: false,
        webhookUrl: '',
        repoVisibility: 'public',
        ciCdConfigFile: '',
        // Additional settings can be added here
      },
      branches: ['master', 'dev', 'feature'], // Example branches, replace with dynamic data
    };
  },
  methods: {
    saveGitSettings() {
      // Implement save functionality
    }
  }
};
</script>
